Loading...
Searching...
No Matches
Entity Struct Reference
Collaboration diagram for Entity:
[legend]

## Public Attributes

const Char * | name
EntityType | type
const char8 * | base_url
struct entity * | next
CharacterEncoding | encoding
Entity | parent
const char8 * | url
const Char * | text
int | line_offset
int | line1_char_offset
int | matches_parent_text
const char8 * | systemid
const char8 * | publicid
NotationDefinition | notation
MarkupLanguage | ml_decl
const char8 * | version_decl
CharacterEncoding | encoding_decl
StandaloneDeclaration | standalone_decl
const char8 * | ddb_filename

## Detailed Description

Definition at line 71 of file dtd.h.

## Member Data Documentation

## name

const Char* Entity::name

Definition at line 74 of file dtd.h.

## type

EntityType Entity::type

Definition at line 75 of file dtd.h.

## base_url

const char8* Entity::base_url

Definition at line 76 of file dtd.h.

## next

struct entity* Entity::next

Definition at line 77 of file dtd.h.

## encoding

CharacterEncoding Entity::encoding

Definition at line 78 of file dtd.h.

## parent

Entity Entity::parent

Definition at line 79 of file dtd.h.

## url

const char8* Entity::url

Definition at line 80 of file dtd.h.

## text

const Char* Entity::text

Definition at line 84 of file dtd.h.

## line_offset

int Entity::line_offset

Definition at line 85 of file dtd.h.

## line1_char_offset

int Entity::line1_char_offset

Definition at line 86 of file dtd.h.

## matches_parent_text

int Entity::matches_parent_text

Definition at line 87 of file dtd.h.

## systemid

const char8* Entity::systemid

Definition at line 91 of file dtd.h.

## publicid

const char8* Entity::publicid

Definition at line 92 of file dtd.h.

## notation

NotationDefinition Entity::notation

Definition at line 93 of file dtd.h.

## ml_decl

MarkupLanguage Entity::ml_decl

Definition at line 94 of file dtd.h.

## version_decl

const char8* Entity::version_decl

Definition at line 95 of file dtd.h.

## encoding_decl

CharacterEncoding Entity::encoding_decl

Definition at line 96 of file dtd.h.

## standalone_decl

StandaloneDeclaration Entity::standalone_decl

Definition at line 97 of file dtd.h.

## ddb_filename

const char8* Entity::ddb_filename

Definition at line 98 of file dtd.h.

The documentation for this struct was generated from the following file:

- include/rxp/dtd.h